> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/transactional/api/metadata/add/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server.
# Add custom metadata field
POST https://mandrillapp.com/api/1.4/metadata/add
Content-Type: application/json
Add a new custom metadata field to be indexed for the account
Reference: https://mailchimp.com/developer/transactional/api/metadata/add
## Request
### Body (application/json)
This endpoint expects a MetadataAddRequest.
- `key` (string, required) — A valid Mandrill API key
- `name` (string, required) — A unique identifier for the metadata field
- `view_template` (string, optional, nullable) — Optional Mustache template to control how the metadata is rendered in your activity log
## Response
### 200
Success
- `any`
## Errors
### 401 Unauthorized Error
Invalid or missing API key.
- `status` (string, required) — Status of the response, typically "error"
- `code` (enum, required) — Numeric error code
- Allowed values: `401`
- `name` (enum, required) — Machine-friendly error name
- Allowed values: `Invalid_Key`
- `message` (string, required) — Human-readable error message
### 422 Unprocessable Entity Error
One or more request parameters failed validation.
- `status` (string, required) — Status of the response, typically "error"
- `code` (integer, required) — Numeric error code
- `name` (enum, required) — Machine-friendly error name
- Allowed values: `ValidationError`
- `message` (string, required) — Human-readable error message
### 500 Internal Server Error
An unexpected internal server error occurred.
- `status` (string, required) — Status of the response, typically "error"
- `code` (integer, required) — Numeric error code
- `name` (string, required) — Machine-friendly error name
- `message` (string, required) — Human-readable error message
## Examples
**Request**
```json
{
"key": "ONzNrsmbtNXoIKyfPmjnig",
"name": "group_id",
"view_template": "{{value}}"
}
```
**SDK Code**
```python
import requests
url = "https://mandrillapp.com/api/1.4/metadata/add"
payload = {
"key": "ONzNrsmbtNXoIKyfPmjnig",
"name": "group_id",
"view_template": "{{value}}"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
```
```javascript
const url = 'https://mandrillapp.com/api/1.4/metadata/add';
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: '{"key":"ONzNrsmbtNXoIKyfPmjnig","name":"group_id","view_template":"{{value}}"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
```
```go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mandrillapp.com/api/1.4/metadata/add"
payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"group_id\",\n \"view_template\": \"{{value}}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
```
```ruby
require 'uri'
require 'net/http'
url = URI("https://mandrillapp.com/api/1.4/metadata/add")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"group_id\",\n \"view_template\": \"{{value}}\"\n}"
response = http.request(request)
puts response.read_body
```
```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/metadata/add")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"group_id\",\n \"view_template\": \"{{value}}\"\n}")
.asString();
```
```php
request('POST', 'https://mandrillapp.com/api/1.4/metadata/add', [
'body' => '{
"key": "ONzNrsmbtNXoIKyfPmjnig",
"name": "group_id",
"view_template": "{{value}}"
}',
'headers' => [
'Content-Type' => 'application/json',
],
]);
echo $response->getBody();
```
```csharp
using RestSharp;
var client = new RestClient("https://mandrillapp.com/api/1.4/metadata/add");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"group_id\",\n \"view_template\": \"{{value}}\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```
```swift
import Foundation
let headers = ["Content-Type": "application/json"]
let parameters = [
"key": "ONzNrsmbtNXoIKyfPmjnig",
"name": "group_id",
"view_template": "{{value}}"
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/metadata/add")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()
```
> Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.